Bug 974062 - Libreoffice Impress 4.1 font rendering weirdness
Summary: Libreoffice Impress 4.1 font rendering weirdness
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
(Show other bugs)
Version: 19
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-13 11:13 UTC by Julian Stecklina
Modified: 2013-06-18 06:09 UTC (History)
6 users (show)

Fixed In Version: libreoffice-4.1.0.0-9.beta2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-18 06:09:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot when content box is selected (105.15 KB, image/png)
2013-06-13 11:13 UTC, Julian Stecklina
no flags Details
Screenshot when title box is selected (font rendered correctly) (100.74 KB, image/png)
2013-06-13 11:14 UTC, Julian Stecklina
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 65132 None None None Never

Description Julian Stecklina 2013-06-13 11:13:16 UTC
Created attachment 760605 [details]
Screenshot when content box is selected

Description of problem:

Font rendered too large when text box is selected in Title,Content slide layout.

Version-Release number of selected component (if applicable):
libreoffice-core-4.1.0.0-7.beta2.fc19.x86_64
libreoffice-impress-4.1.0.0-7.beta2.fc19.x86_64

How reproducible:


Steps to Reproduce:
1. Open Libreoffice Impress creating a new empty presentation.
2. Change slide layout to Title, Content in the Layouts thing on the right. (top row, last layout)
3. Select the content part of the slide and enter text.

Actual results:

Font is rendered too large as long as content text box has the input focus. Text is rendered correctly when focus is somewhere else (e.g. title box).

Expected results:

Text is rendered at correct size in all cases.

Additional info:

Comment 1 Julian Stecklina 2013-06-13 11:14:26 UTC
Created attachment 760616 [details]
Screenshot when title box is selected (font rendered correctly)

Comment 2 Caolan McNamara 2013-06-13 11:49:02 UTC
caolanm->dtardon: sounds like the one you were working on

Comment 3 David Tardon 2013-06-13 12:57:17 UTC
Yes, it is the same thing. It will be fixed in RC1. A workaround is to disable autofit (select the text outline box and uncheck Autofit Text in the context menu).

Comment 4 David Tardon 2013-06-16 06:08:37 UTC
There have been a change of plans. The final freeze is tomorrow already (that is even before we tag RC1 upstream, which is probably going to happen on Tuesday) and I really really want Impress to be in useable state on the Live CD. I am doing a new build with the patch included.

Comment 5 Fedora Update System 2013-06-16 12:12:18 UTC
libreoffice-4.1.0.0-9.beta2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.0.0-9.beta2.fc19

Comment 6 Fedora Update System 2013-06-16 19:21:34 UTC
Package libreoffice-4.1.0.0-9.beta2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.0.0-9.beta2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11003/libreoffice-4.1.0.0-9.beta2.fc19
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-06-18 06:09:42 UTC
libreoffice-4.1.0.0-9.beta2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.